package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF731 extends MwfRequest<MWF731, MWF731Response> {

    @Parameter(name = "PracovnikMTSID")
    MWF731 pracovnikMTSID(String pracovnikMTSID);
    @Parameter(name = "Storno_KodDuvoduStorna")
    MWF731 stornoKodDuvoduStorna(String stornoKodDuvoduStorna);
    @Parameter(name = "UrednikFunkce")
    MWF731 urednikFunkce(String urednikFunkce);
    @Parameter(name = "UrednikID")
    MWF731 urednikID(String urednikID);
    @Parameter(name = "UrednikJmeno")
    MWF731 urednikJmeno(String urednikJmeno);
    @Parameter(name = "UrednikPrijmeni")
    MWF731 urednikPrijmeni(String urednikPrijmeni);
    @Parameter(name = "UrednikRole")
    MWF731 urednikRole(String urednikRole);
    @Parameter(name = "UrednikSSO")
    MWF731 urednikSSO(String urednikSSO);
    @Parameter(name = "WPS_WFL_ID")
    MWF731 wpsWflId(String wpsWflId);
    @Parameter(name = "Zadost_KEY")
    MWF731 zadostKEY(Long zadostKEY);
}
